/* BdfServer - Copyright (c) 2016-2022 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.json;

import java.io.IOException;
import java.util.List;
import net.fichotheque.selection.MotcleQuery;
import net.fichotheque.xml.extraction.ExtractionXMLUtils;
import net.mapeadores.util.json.JSONWriter;
import net.mapeadores.util.xml.XMLUtils;
import net.mapeadores.util.xml.XMLWriter;


/**
 *
 * @author Vincent Calame
 */
public class MotcleQueryJson {

    private MotcleQueryJson() {

    }

    public static void properties(JSONWriter jw, MotcleQuery motcleQuery) throws IOException {

    }

    public static String toXmlString(List<MotcleQuery> motcleQueryList) {
        StringBuilder buf = new StringBuilder();
        if (!motcleQueryList.isEmpty()) {
            XMLWriter xmlWriter = XMLUtils.toXMLWriter(buf);
            for (MotcleQuery motcleQuery : motcleQueryList) {
                try {
                    xmlWriter.openTag("motcle-query");
                    ExtractionXMLUtils.writeMotcleQuery(xmlWriter, motcleQuery, null);
                    xmlWriter.closeTag("motcle-query");
                } catch (IOException ioe) {
                }
            }
        }
        return buf.toString();
    }

}
